package net.sf.jack4j;

/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

/**
 * Native bridge to Jack API.
 * 
 * @author repa
 * 
 */
class JackBridge {

	static {
		initializeJackBridge();
	}

	private static boolean jackBridgeInitialized = false;

	/**
	 * Initializes native interface to Jack library.
	 * 
	 * <p>
	 * This method is called from static initializers of other Jack4j classes.
	 */
	public synchronized static void initializeJackBridge() {
		if (!jackBridgeInitialized) {
			System.loadLibrary("jack4j"); //$NON-NLS-1$
			initializeNativeBridge();
			jackBridgeInitialized = true;
		}
	}

	private static native void initializeNativeBridge();
}
