package net.sf.jack4j;

/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

/**
 * Allows operations on the thread associated with Jack client.
 * 
 * @author repa
 * 
 */
public class JackClientThread {

	private JackClient jackClient;
	@SuppressWarnings("unused")
	private long clientHandle;
	private Thread thread;

	JackClientThread(JackClient jackClient, long clientHandle, Thread thread) {
		this.jackClient = jackClient;
		this.clientHandle = clientHandle;
		this.thread = thread;
	}

	/**
	 * @return the jackClient
	 */
	public JackClient getJackClient() {
		return jackClient;
	}

	/**
	 * Returns the Java Thread that represents Jack POSIX client thread.
	 */
	public Thread getThread() {
		return thread;
	}

	/**
	 * Returns client thread ID, packed as <code>long</code>.
	 */
	public native long clientThreadId();

	/**
	 * Attempts to enable realtime scheduling for a thread.
	 * 
	 * <p>
	 * On some systems that may require special privileges.
	 * 
	 * @param priority
	 *            requested priority
	 * @return true if successful, false if the process lacks realtime
	 *         privileges
	 * @throws JackException
	 *             if other error occurred
	 */
	public native boolean acquireRealTimeScheduling(int priority) throws JackException;

	/**
	 * Drop realtime scheduling for a thread.
	 */
	public native void dropRealTimeScheduling() throws JackException;
}
