package net.sf.jack4j;

/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

/**
 * Jack exception that contains integer error code.
 * 
 * @author repa
 * 
 */
public class JackSimpleException extends JackException {

	private static final long serialVersionUID = -8077502851188879583L;

	private final int errorCode;

	public JackSimpleException(int errorCode) {
		super(String.format("Jack error occured, code %d", errorCode)); //$NON-NLS-1$
		this.errorCode = errorCode;
	}

	public int getErrorCode() {
		return errorCode;
	}
}
