package net.sf.jack4j.util.file.wav;

/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

/**
 * Describes some features of WAV file format.
 * 
 * @author repa
 * 
 */
class WavFormat {

	public static final int AIFF_HEADER_LENGTH = 12;
	public static final int RIFF_GROUP_ID = 0x46464952; // "RIFF", 4-byte little-endian
	public static final int WAVE_FILE_TYPE = 0x45564157; // "WAVE", 4-byte little-endian
	public static final int CHUNK_HEADER_LENGTH = 8;
	public static final int FMT_CHUNK_TYPE = 0x20746d66; // "fmt ", 4-byte little-endian
	public static final int DATA_CHUNK_TYPE = 0x61746164; // "data", 4-byte little-endian
	public static final int REQUIRED_FORMAT_TAG = 1;
	public static final int FORMAT_FIELDS_SIZE = 16;

}
